# std::basic_string<CharT,Traits,Allocator>::max_size

From cppreference.com
< cpp‎ | string‎ | basic string

size_type max_size() const; |  | (until C++11)
size_type max_size() const noexcept; |  | (since C++11)

Returns the maximum number of elements the string is able to hold due to system or library implementation limitations, i.e. ​std::distance(begin(), end())​ for the largest string.

### Parameters

(none)

### Return value

Maximum number of characters

### Complexity

Constant.

### Example

Run this code

    #include <iostream>
    #include <string>

    int main()
    {
        std::string s;
        std::cout << "Maximum size of a string is " << s.max_size() << "\n";
    }

Possible output:

    Maximum size of a string is 4294967294

### See also

size length | returns the number of characters (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/max_size&oldid=110146"